'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getDistrictShape = require('./github/unitedstates/getDistrictShape');

var _getDistrictShape2 = _interopRequireDefault(_getDistrictShape);

var _isLatLngInMultiPolygon = require('./geolib/isLatLngInMultiPolygon');

var _isLatLngInMultiPolygon2 = _interopRequireDefault(_isLatLngInMultiPolygon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function checkLatLngInDistrict(lat, lng, districtId) {
    return (0, _getDistrictShape2.default)(districtId).then(function (district) {
        var polygons = district.polygons;

        var isMatched = (0, _isLatLngInMultiPolygon2.default)(lat, lng, polygons);

        return {
            isMatched: isMatched,
            districtId: districtId,
            district: district,
            latitude: lat,
            longitude: lng
        };
    });
}

exports.default = checkLatLngInDistrict;