'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.NO_DISTRICTS_PROVIDED = exports.COORDINATES_NOT_IN_DISTRICTS = undefined;

var _checkLatLngInDistrict = require('./checkLatLngInDistrict');

var _checkLatLngInDistrict2 = _interopRequireDefault(_checkLatLngInDistrict);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var COORDINATES_NOT_IN_DISTRICTS = exports.COORDINATES_NOT_IN_DISTRICTS = function COORDINATES_NOT_IN_DISTRICTS(lat, lng, districts) {
    return 'Coordinates: "' + lat + ',' + lng + '" could not be found in ' + ('provided districts: ' + districts + '.');
};

var NO_DISTRICTS_PROVIDED = exports.NO_DISTRICTS_PROVIDED = function NO_DISTRICTS_PROVIDED(lat, lng) {
    return 'No districts provided for coordinates: "' + lat + ',' + lng + '".';
};

function checkLatLngInDistricts(lat, lng, districts) {

    if (!districts || !districts.length) {
        return Promise.reject({
            statusCode: 422,
            // eslint-disable-next-line babel/new-cap
            message: NO_DISTRICTS_PROVIDED(lat, lng)
        });
    }

    var toCheck = districts.concat();
    var _checkNextDistrict = function _checkNextDistrict() {
        return (0, _checkLatLngInDistrict2.default)(lat, lng, toCheck.shift()).then(function (result) {
            if (result.isMatched) {
                return Promise.resolve(result);
            }
            if (toCheck.length) {
                return _checkNextDistrict();
            }
            return Promise.reject({
                statusCode: 422,
                // eslint-disable-next-line babel/new-cap
                message: COORDINATES_NOT_IN_DISTRICTS(lat, lng, districts)
            });
        });
    };

    return _checkNextDistrict();
}

exports.default = checkLatLngInDistricts;