'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getStateShape = require('./github/unitedstates/getStateShape');

var _getStateShape2 = _interopRequireDefault(_getStateShape);

var _isLatLngInMultiPolygon = require('./geolib/isLatLngInMultiPolygon');

var _isLatLngInMultiPolygon2 = _interopRequireDefault(_isLatLngInMultiPolygon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function checkLatLngInState(lat, lng, stateId) {
    return (0, _getStateShape2.default)(stateId).then(function (_ref) {
        var polygons = _ref.polygons;


        var isMatched = (0, _isLatLngInMultiPolygon2.default)(lat, lng, polygons);
        return {
            isMatched: isMatched,
            stateId: stateId,
            latitude: lat,
            longitude: lng
        };
    });
}

exports.default = checkLatLngInState;