'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.OUTSIDE_US = undefined;

var _houseGovPageScraper = require('house-gov-page-scraper');

var _getStateZipFromLatLng = require('./google/maps/geocode/getStateZipFromLatLng');

var _getStateZipFromLatLng2 = _interopRequireDefault(_getStateZipFromLatLng);

var _checkLatLngInDistricts = require('./checkLatLngInDistricts');

var _checkLatLngInDistricts2 = _interopRequireDefault(_checkLatLngInDistricts);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OUTSIDE_US = exports.OUTSIDE_US = function OUTSIDE_US(lat, lng, country) {
    return 'The specified latitude: ' + lat + ' and ' + ('longitude: ' + lng + ' are for the country: ' + country + ', ') + 'To Find a Congressional District, please provide coordinates in the US.';
};

function getDistrictByLatLng(latitude, longitude) {

    return (0, _getStateZipFromLatLng2.default)(latitude, longitude).then(function (data) {
        var country = data.country;

        if (country !== 'US') {
            return Promise.reject({
                statusCode: 404,
                // eslint-disable-next-line babel/new-cap
                message: OUTSIDE_US(latitude, longitude, country)
            });
        }
        return data;
    }).then(function (_ref) {
        var zip = _ref.zip;
        return (0, _houseGovPageScraper.getDistrictsInZip)(zip);
    }).then(function (districts) {
        return (0, _checkLatLngInDistricts2.default)(latitude, longitude, districts);
    });
}

exports.default = getDistrictByLatLng;