'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.DEFAULT_HEADERS = exports.ENDPOINT = undefined;
exports.parseDistricts = parseDistricts;
exports.default = getDistricts;

var _requestPromiseNative = require('request-promise-native');

var _requestPromiseNative2 = _interopRequireDefault(_requestPromiseNative);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var ENDPOINT = exports.ENDPOINT = 'https://api.github.com/repos/unitedstates/' + 'districts/contents/cds/2016';

function parseDistricts(_ref) {
    var body = _ref.body,
        headers = _ref.headers;


    var districts = [].concat(_toConsumableArray(body)).map(function (directory) {
        return directory.name;
    });

    return {
        headers: headers,
        districts: districts
    };
}

var DEFAULT_HEADERS = exports.DEFAULT_HEADERS = {
    'User-Agent': 'congressional-district-finder'
};

function getDistricts(customHeaders) {

    var headers = Object.assign({}, DEFAULT_HEADERS, customHeaders);

    var options = {
        uri: ENDPOINT,
        resolveWithFullResponse: true,
        json: true,
        headers: headers
    };

    return _requestPromiseNative2.default.get(options).then(parseDistricts);
}