'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.NO_DISTRICTS_FOUND = undefined;
exports.default = getDistrictsByState;

var _getDistricts = require('./getDistricts');

var _getDistricts2 = _interopRequireDefault(_getDistricts);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NO_DISTRICTS_FOUND = exports.NO_DISTRICTS_FOUND = 'No districts found.';

function getDistrictsByState(st) {
    var ST = st.toUpperCase();
    return (0, _getDistricts2.default)().then(function (_ref) {
        var districts = _ref.districts;
        return districts.filter(function (district) {
            return district.indexOf(ST) === 0;
        });
    }).then(function (districts) {
        if (!districts.length) {
            return Promise.reject(new Error(NO_DISTRICTS_FOUND));
        }
        return districts;
    });
}